「JBoss RichFaces」に任意のコードを実行される脆弱性(JVN) | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2018.10.18(木)

「JBoss RichFaces」に任意のコードを実行される脆弱性(JVN)

IPAおよびJPCERT/CCは、RichFacesが提供する「JBoss RichFaces」に任意のコードを実行される脆弱性が存在すると「JVN」で発表した。

脆弱性と脅威 セキュリティホール・脆弱性
独立行政法人 情報処理推進機構(IPA)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は7月19日、RichFacesが提供するAjax機能を持つWebアプリケーションを作成するためのフレームワーク「JBoss RichFaces」に任意のコードを実行される脆弱性が存在すると「Japan Vulnerability Notes(JVN)」で発表した。

「RichFaces 5.x」「RichFaces 4.x」「RichFaces 3.x」で作成されたアプリケーションには、外部からの入力を自動的にdeserializeする機能が提供されている。この機能は、信頼できないデータをdeserializeしてしまうため、任意のコードが実行される脆弱性(CVE-2013-2165)が存在する。この脆弱性が悪用されると、細工された入力を処理することでサーバ上で任意のファイルが書き込まれたり、任意のコードを実行されるなどの影響を受ける可能性がある。JVNでは、開発者が提供する情報をもとに各バージョンに対応したパッチを適用するよう呼びかけている。
《吉澤 亨史( Kouji Yoshizawa )》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

(。・ω・)ゞ !!ScanNetSecurity創刊20周年特別キャンペーン実施中。会員限定 PREMIUM 記事読み放題。早割10月末迄。現在通常料金半額以下!!
<b>(。・ω・)ゞ !!ScanNetSecurity創刊20周年特別キャンペーン実施中。会員限定 PREMIUM 記事読み放題。早割<font color=10月末迄。現在通常料金半額以下!!">

サイバーセキュリティの専門誌 ScanNetSecurity は 1998年の創刊から20周年を迎え、感謝を込めた特別キャンペーンを実施中。創刊以来史上最大割引率。次は30周年が来るまでこの価格はもうありません

×